- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
管理应用
- /
- 删除应用访问授权记录
¶ Delete application access authorization record
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.
Cancel the application access authorization for users, groups, organizations or roles. If the input data does not exist, the returned data will not be processed with an error.
¶ Method name
ManagementClient.revoke_application_access
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| list | DeleteApplicationPermissionRecordItem[] | Yes | - | Authorization subject list, up to 10 items | |
| appId | string | Yes | - | Application ID | 6229ffaxxxxxxxxcade3e3d9 |
¶ Request Response
Type: IsSuccessRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | IsSuccessDto | Whether the operation is successful |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"success": true
}
}
¶ Data Structure
¶ DeleteApplicationPermissionRecordItem
| Name | Type | Required | Description | Sample value |
|---|---|---|---|---|
| targetType | string | Yes | Subject type | USER |
| namespaceCode | string | No | Permission group code, required when subject type is "ROLE" | code1 |
| targetIdentifier | array | Yes | Subject identifier list, when subject type is "USER", the value should be user ID; when subject type is "GROUP", the value should be group code; when subject type is "ROLE", the value should be role code; when subject type is "ORG", the value should be organization node ID. Maximum 50 entries. | ["6229ffaxxxxxxxxcade3e3d9"] |
¶ IsSuccessDto
| Name | Type | Is it required | Description | Sample value |
|---|---|---|---|---|
| success | boolean | yes | Whether the operation was successful | true |
